
#include <p18cxxx.h>	      /* C18 compiler processor defs */

//*****************************************************************************
//* Afficheur GLCD 128 x 64 *
//*****************************************************************************
// LCD Module features and configuration

#define GLCD_Data   		(PORTC)
#define b_GLCD_GCS1 		(LATBbits.LATB1)
#define b_GLCD_GCS2 		(LATBbits.LATB2)  
#define b_GLCD_RS   		(LATBbits.LATB3)   
#define b_GLCD_RW   		(LATBbits.LATB4)  
#define b_GLCD_E    		(LATBbits.LATB5)  
#define b_GLCD_On   		(LATBbits.LATB6) 	// not available on my GLCD
#define b_GLCD_BL   		(LATBbits.LATB7) 

// Define the direction for each Input/Output pin (0-Output, 1-Input) :
#define TRIS_Data    		(TRISC)
#define b_TRIS_GCS1  		(TRISBbits.TRISB1)
#define b_TRIS_GCS2  		(TRISBbits.TRISB2) 
#define b_TRIS_RS    		(TRISBbits.TRISB3) 
#define b_TRIS_RW    		(TRISBbits.TRISB4) 
#define b_TRIS_E     		(TRISBbits.TRISB5) 
#define b_TRIS_On    		(TRISBbits.TRISB6) 	// not available on my GLCD
#define b_TRIS_BL    		(TRISBbits.TRISB7) 

#define LED1	    		(LATAbits.LATA0)
#define LED2	    		(LATAbits.LATA1)


void Delay(void);
unsigned char GLCD_Read(void);
void Wait_Not_Busy(void);
void GLCD_Write_Cmd(unsigned char data);
void GLCD_Write_Data (unsigned char data);
void ClearScreen(void);
void Init_GLCD(void);
void PutChar(unsigned char data);
unsigned char GLCD_Read_Data(void);
void SetPos(unsigned char x,unsigned char y);
void WritePosition(void);
void plot(unsigned char x,unsigned char y);
void hline(unsigned char x1,unsigned char x2,unsigned char y);
void vline(unsigned char x,unsigned char y1,unsigned char y2);
void box(unsigned char x1,unsigned char y1,unsigned char x2,unsigned char y2);
void FilledBox(unsigned char x1,unsigned char y1,unsigned char x2,unsigned char y2);
void circle(int xc,int yc,int r);
void PutMessage(static char rom *Message);
void PutLogo(static char rom *logo);
void FillWhiteZone(unsigned char x1,unsigned char y1,unsigned char x2,unsigned char y2);
void FillBlackZone(unsigned char x1,unsigned char y1,unsigned char x2,unsigned char y2);
void unplot(unsigned char x,unsigned char y);
void displayNum(int x, int y, short int theValue);
void PutSmallChar(unsigned char data);
void displaySmallNum(int x, int y, short int INTValue);
void PutFloat(char* floatdata);
void PutHChar(unsigned char data);
void MoveDown(void);
void PutHFloat(char* floatdata);
void MoveRightH(void);
void displayHNum(int x, int y, short int INTValue);
void PutBars(unsigned char x,unsigned char y,unsigned char Percent);
void Plot8(unsigned char x,unsigned char y,unsigned char dx,unsigned char dy);
