
#include <p18cxxx.h>
#include "h/GLCD.h"
#include "h/delay.h"
#include <stdio.h>

#pragma config WDT = OFF, LVP = OFF, OSC = HS
#pragma config PBADEN = OFF									//	PBADEN: PORTB A/D Enable bit -> 0 = PORTB pins are configured as digital I/O on Reset

const rom unsigned char Logo[];
int p;



void main(void)
{

// Init Pic :
ADCON0bits.ADON = 0;										// disable AD converter and set up Port A as digital I/O
ADCON1 = 0b00001111;

TRISB = 0;
LATB = 0;
TRISC = 0;
LATC = 0;

// Init GLCD :
Init_GLCD(); 												

// Display logo ( one time )
SetPos(0,0);												// Positionner le curseur
PutLogo((rom char*)Logo);									// Afficher une image (logiciel BitMapToLCD pour la conversion)


 while(1)
  {

				box(0,0,127,63);							// Raliser un rectangle

				hline(20,108,25) ;							// Raliser une ligne horizontale   ( dbut ligne X, fin de ligne X, cartement depuis le haut de l'ecran )

				vline (63,32,60);							// Raliser une ligne verticale 	( cartement depuis bord gauche, debut ligne Y , fin ligne Y )
				vline (12,32,60);							
							

				circle (63,32,8);							


				// Bars demo :
		        for(p=0;p<11;p++){
		            PutBars(108,40,(p*10));
		            DELAY_MS(30);
		        }
		
		        for(p=11;p>0;p--){
		            PutBars(108,40,((p-1)*10));
		            DELAY_MS(30);
		        }

				SetPos(70,0);								// Positionner le curseur (x,y)
				PutMessage((rom char*)"Graphic");			// Ecrire un message
				PutMessage((rom char*)"\x16\x38\x18Demo");	// ascii 22 (0x16) is set position followed by x,y
	               

  }  	  // end WHILE(1)

} 		  // end MAIN()




const rom unsigned char Logo[]={
	20,21,					// width,height
    0x00,0x06,0x00,0x60,	// raster data - no padding.
    0x00,0x40,0x2F,0x00,
    0xFC,0x03,0x80,0x1F,
    0x00,0xF8,0x01,0x92,
    0x9F,0xF4,0xFB,0xFD,
    0xFE,0xFF,0xE7,0xFF,
    0x7F,0xFF,0xFF,0xEF,
    0xFF,0x7F,0xFC,0xFF,
    0x83,0xFF,0x1F,0xF0,
    0xFF,0x00,0xFE,0x07,
    0xF0,0xFF,0x00,0x60,
    0x00,0x00,0x06,0x00,
    0x60,0x00,0x00,0x06,
	0x00
};
